CREATE TABLE kim_user(
	'name' VARCHAR(255) NOT NULL PRIMARY KEY,
	'uidNumber' INT NOT NULL,
	'gidNumber' INT,
	'gecos' VARCHAR(255),
	'homedir' TEXT,
	'bash' TEXT,
	'krbprincipalName' TEXT,
	'createTimestamp' INTEGER,
	'modifyTimestamp' INTEGER,
	'cachedTimestamp' INTEGER,
	'passwordExpiration' INTEGER,
	'dataExpiration' INTEGER,
	'isPosix' INT,
	'isLocked' INT,
	'isEnable' INT,
	'failedLoginAttempts' INT,
	'uniqueID' TEXT,
	'memberof_groups' TEXT,
	'memberofindirect_group' TEXT,
	'memberof_hbacrule' TEXT,
	'memberof_sudorule' TEXT
);

ALTER TABLE 'kim_user' ADD COLUMN 'logintimeset' CHAR(20);

CREATE TABLE kim_group(
	'name' VARCHAR(255) NOT NULL PRIMARY KEY,
	'gidNumber' INT,
	'users' TEXT,
	'isPosix' INT,
	'createTimestamp' INTEGER,
	'modifyTimestamp' INTEGER,
	'cachedTimestamp' INTEGER,
	'uniqueID' TEXT,
	'memberof_groups' TEXT,
	'memberof_hbacrule' TEXT,
	'memberof_sudorule' TEXT
);

CREATE TABLE kim_host(
	'name' VARCHAR(255) NOT NULL PRIMARY KEY,
	'isEnrolled' INT,
	'isEnabled' INT,
	'createTimestamp' INTEGER,
	'modifyTimestamp' INTEGER,
	'cachedTimestamp' INTEGER,
	'uniqueID' TEXT,
	'memberof_hbacrule' TEXT
);

CREATE TABLE kim_hbac(
	'name' VARCHAR(255) NOT NULL PRIMARY KEY,
	'isEnabled' INT,
	'createTimestamp' INTEGER,
	'modifyTimestamp' INTEGER,
	'cachedTimestamp' INTEGER,
	'uniqueID' TEXT,
	'allow_users' TEXT,
	'allow_groups' TEXT,
	'allow_service' TEXT
);

CREATE TABLE kim_config(
        'section' VARCHAR(64),
        'key' VARCHAR,
        'value' VARCHAR
);
